POST /Resource/BuiltInResourceFile/

Stores the contents of the specified built-in resource when sent as a file. This API call expects form files inside the request body.
 

Request

Method Request URI
POST /API/Resource/BuiltInResourceFile/?resourceKind=value&tenantId=value&sessionId=value

URI Parameters

URI Parameter Description
resourceKind The kind of resource to get. See Dundas.BI.AppResources.BuiltInResourceKind for more details.
tenantId The optional tenant ID this resource is for.
sessionId The ID of the session.

Request Body

This API call expects form files inside the request body. This API call only supports MIME multipart content - for more information see: https://www.w3.org/Protocols/rfc1341/7_2_Multipart.html

Response

Response Body

A Dundas.BI.WebApi.Models.BuiltInResourceInfoData with the result, or a status code indicating the problem.